
Redmine - Feature #515

Add 'watchers' pro-actively.

2007-12-12 14:55 - Jos Yule

Status: Closed Start date:  

Priority: Normal Due date:  

Assignee:  % Done: 0%

Category:  Estimated time: 0.00 hour

Target version:    

Resolution:    

Description

It would be handy to be able to add people to an issue, rather then each individual having to add themselves. ie. the

'watch' link.

Related issues:

Related to Redmine - Feature #1757: Immediately send a notify email when a us... New 2008-08-07

Has duplicate Redmine - Feature #1531: Add notification system Closed 2008-06-25

Is duplicate of Redmine - Feature #398: Watcher list when new issue Closed

History

#1 - 2007-12-17 17:04 - Maxim Krušina

Exactly. We just migrated from Trac. So now we have great way

haw we can add human resources to projects, which was really

painfull in Trac, but what we're missing is CC: field in ticked.

Sometimes, we need to send copy af all changes to one person

who is not member of project, but we need to add this person

at the time of ticket creation. Only way how to do this now is

to write email to user and tell him to add himself to watch ticket.

Should be possible to add other users to watchlist of one ticket

by admin?

#2 - 2007-12-17 22:26 - Jonathan Hall

This feature would be excellent!

#3 - 2008-01-03 02:31 - Mark Elrod

+1

#4 - 2008-01-10 16:07 - Chris Malek

I second this.

One different idea along the same lines.  On the project settings

have a new setting "Automatically Add Issue watch when user

makes tracker change".

If this new setting were true, any time a user makes a change

to an issue/tracker, they would be added to the watch list.

It would also be nice if the issue detail listed out all the

users who are watching the issue.

#5 - 2008-02-19 16:48 - Jos Yule

I agree with Chris M. - when someone edits/updates a tracker item, they should be added to the watch list automatically. Or there should be an option

to turn on this kind of functionality.

#6 - 2008-03-30 20:41 - Mike Duchene

Any updates on this?  I really need this feature as well.

#7 - 2008-06-25 21:40 - Guest Test

A good example for this feature: http://flyspray.org/manual:notifications
#8 - 2008-06-26 15:59 - Guest Test

- Assignee set to Martin Herr

- Target version set to 0.8

- % Done changed from 0 to 70

#9 - 2008-06-26 16:33 - Jean-Philippe Lang

- Assignee deleted (Martin Herr)

- Target version deleted (0.8)

- % Done changed from 70 to 0

#10 - 2008-07-02 00:20 - youngseok yi

Maxim Krušina wrote:

what we're missing is CC: field in ticked.

 I totally agree with this.

I've encouraged my team mates to use redmine as project planning and management system in a month.

There are few people actively participate in the process, Most of them do not watch the issue by themselves and miss it.

Though the system is great, it is hard to make people change their habit and be interested in process.

I've thought this feature will help the mates concern the important ticket and give them more chance to visit the system.

On the other hand, there could be more than one person who are in charge of the ticket.

The feature might be a solution for these situations.

#11 - 2008-09-08 00:35 - Daniel Srb

+1 (or +40 if you count the number of people using redmine in our company)

adding watchers by hand, would be great

#12 - 2008-11-05 18:24 - Marco D'Arienzo

+1

In Bugzilla you have the possibility to add any user as cc, so they will be automatically informed about the issue. I like the idea of just adding some

user as watchers, it doesn't really need Taskmasters and stuff like that, than you already have a Task Creator and Assignees.

#13 - 2008-11-05 18:59 - Luiz Carlos Junior

I partially agree with this issue. The main request would be to add the ability to add watchers on ticket creation.

#14 - 2008-11-11 14:43 - tolan blundell

+1 for being able to assign watchers on creation.

The problem with the current system is that if I create a ticket, save it, add watchers, then the watchers don't see the initial ticket in their notifications.

#15 - 2008-12-30 14:31 - Jean-Philippe Lang

- Status changed from New to Closed

#16 - 2010-12-06 12:45 - Parth Lawate

- Status changed from Closed to Reopened

It would be a good idea to have a add Watchers in the "Right click" menu that you have when you select & right click on the list of issues

#17 - 2013-01-15 09:20 - Jan Niggemann (redmine.org team member)

- Status changed from Reopened to Closed

Closing this, Parth Mehta Lawate: Please create a new ticket in "Feature" for this.

#18 - 2013-01-15 10:00 - Daniel Felix

Parth Lawate wrote:

It would be a good idea to have a add Watchers in the "Right click" menu that you have when you select & right click on the list of issues
 This is already implemented.

Only on multiselect, there's no watch option.
